/// <reference types="node" />
import { Page } from 'puppeteer-core';
import { JSDOM } from 'jsdom';
import { meta_tag } from './config';
export declare const getPage: () => Promise<Page>;
export declare function loadPage(URI: string, root_selector?: string): Promise<JSDOM>;
export interface MediaItem {
    name: string;
    data: Buffer;
}
export declare function fetchMedia(root: HTMLElement, root_path?: string): Promise<MediaItem[]>;
export declare function fixBaseURI(document: Document, baseURI: string): void;
export interface PageData extends Partial<Record<keyof typeof meta_tag, string | string[]>> {
    content: string;
    media: MediaItem[];
}
export interface PageFetchOption {
    source: string;
    rootSelector?: string;
    baseURI?: string;
}
export declare function fetchPage({ source, rootSelector, baseURI }: PageFetchOption): Promise<PageData>;
export interface PageSaveOption extends PageFetchOption {
    markdown?: boolean;
    rootFolder?: string;
}
export declare function savePage({ source, rootSelector, baseURI, markdown, rootFolder }: PageSaveOption): Promise<void>;
